package net.vtstar.zhongtong.avi.equipment.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.equipment.domain.enums.WorkshopNames;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2020/3/11 16:53
 */
@ApiModel("设备实时状态表")
@Data
@Search(code = "REAL_TIME_STATUS")
@Table(name = "equip_status_real_time")
public class EquipStatusRealTime {

    @Id
    private Long id;

    @ApiModelProperty(notes = "车间")
    @Column(name = "equip_workshop")
    @Search
    private WorkshopNames equipWorkshop;

    @ApiModelProperty(notes = "设备编号")
    @Column(name = "equip_code")
    @Search
    private String equipCode;

    @ApiModelProperty(notes = "设备名称")
    @Column(name = "equip_name")
    @Search
    private String equipName;

    @ApiModelProperty(notes = "实时状态")
    @Column(name = "equip_state")
    private String equipState;

    @ApiModelProperty(notes = "创建时间")
    @Column(name = "create_time")
    private Date createTime;
}
