package net.vtstar.zhongtong.avi.gateway.assembly.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/17 11:52
 */

@ApiModel(value = "总装车间车间--助力油加注", description = "助力油加注机监控数据表")
@Data
@Search(code = "FOCUS_BOOSTER_OIL")
@Table(name = "eqp_data_focus_booster_oil")
public class FocusBoosterOilMachine extends EquipmentData {

    @Show(label = "设备名称")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String equipCode;

    @Show(label = "设备编号")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备编号")
    @Search
    private String alias;

    @Show(label = "枪1加注量(ml)")
    @ApiModelProperty(notes = "枪1加注量(ml)")
    @Column(name = "filling_amount1")
    private Integer fillingAmount1;

    @Show(label = "枪2加注量(ml)")
    @ApiModelProperty(notes = "枪2加注量(ml)")
    @Column(name = "filling_amount2")
    private Integer fillingAmount2;

    @Show(label = "加注设定值(ml)")
    @ApiModelProperty(notes = "加注设定值")
    @Column(name = "filling_settings")
    private Float fillingSettings;

    @Show(label = "加注量(ml)")
    @ApiModelProperty(notes = "加注量")
    @Column(name = "filling_amount")
    private Float fillingAmount;

    @Show(label = "压力设定值(mbar)")
    @ApiModelProperty(notes = "压力设定值(mbar)")
    @Column(name = "pressure_settings")
    private Float pressureSettings;

    @Show(label = "加注压力(mbar)")
    @ApiModelProperty(notes = "加注压力(mbar)")
    @Column(name = "filling_pressure")
    private Float fillingPressure;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @Id
    private Long id;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;
}
