package net.vtstar.zhongtong.avi.gateway.chassis.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/17 11:52
 */

@ApiModel(value = "底盘车间车间--铆接设备", description = "底盘铆接设备监控数据表")
@Data
@Search(code = "RIVETING_EQUIPMENT")
@Table(name = "eqp_data_riveting_equipment")
public class RicetingEquipmentMachine extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    @Search
    private String equipCode;

    @Show(label = "设备名称")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String alias;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @Id
    private Long id;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;
}
