package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Data
@Search(code = "VEHICLE_ELECTROPHORESIS_OUTPUT")
@ApiModel(value = "涂装--电泳", description = "电泳监控数据表")
@Table(name = "eqp_data_rectification_out")
public class ElectrophoresisMachine extends EquipmentData {

    @Show(label = "设备名称")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备名称")
    private String equipCode;

    @Show(label = "上升时间(min)")
    @Column(name = "up_time")
    private BigDecimal upTime;

    @Show(label = "下降时间(min)")
    @Column(name = "down_time")
    private BigDecimal downTime;

    @Show(label = "平移时间(min)")
    @Column(name = "translation_time")
    private BigDecimal translationTime;

    @Show(label = "入槽时间(min)")
    @Column(name = "entry_time")
    private BigDecimal entryTime;

    @Search
    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("采集时间")
    @Column(name = "create_time")
    private Date createTime;

    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @Id
    private Long id;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;

}
