package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel(value = "喷涂机器人", description = "喷涂机器人监控数据表")
@Table(name = "eqp_data_painting_robot")
public class PaintingRobotMachine extends EquipmentData {

    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String equipCode;

    @Column(name = "run_state")
    @ApiModelProperty(notes = "系统是否运行")
    private Integer runState;

    @Column(name = "error_state")
    @ApiModelProperty(notes = "系统是否报警")
    private Integer errorState;

    @Column(name = "run_status_r11")
    @ApiModelProperty(notes = "R11机械臂运行中")
    private Integer runStatusR11;

    @Column(name = "run_status_r21")
    @ApiModelProperty(notes = "R21机械臂运行中")
    private Integer runStatusR21;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @Id
    private Long id;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;

}
