package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "PAINTING_ROBOT")
@ApiModel(value = "喷涂机器人", description = "喷涂机器人监控数据表")
@Table(name = "eqp_data_painting_robot_record")
public class PaintingRobotRecordMachine{

    @Show(label = "设备名称")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String equipCode;

    @Show(label = "车型")
    @Column(name = "bus_type")
    @ApiModelProperty(notes = "车型")
    private String busType;

    @Show(label = "数量")
    @Column(name = "num")
    @ApiModelProperty(notes = "数量")
    private Integer num;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

    @Id
    private Long id;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;

}
