package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.JoinColumn;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.equipment.domain.EquipInfo;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("涂装-打磨室风机状态及报警信息")
@Table(name = "eqp_data_polishing_booth_state")
public class PolishingRoomStateMachine extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    @Search
    private String equipCode;

    @Show(label = "燃烧机机运行信号")
    @Column(name = "state")
    @ApiModelProperty(notes = "燃烧机机运行信号")
    private Integer state;

    @Search
    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    private Date createTime;

    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @Id
    private Long id;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;

}
