package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "SPRAY_BOOTH")
@ApiModel(value = "涂装-喷涂室温湿度", description = "喷涂室监控数据表")
@Table(name = "eqp_data_spray_booth")
public class SprayBoothMachine extends EquipmentData {

    @Show(label = "设备名称")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String equipCode;

    @Show(label = "温度(℃)")
    @Column(name = "temperature")
    @ApiModelProperty(notes = "温度")
    private Float temperature;

    @Show(label = "湿度(%)")
    @Column(name = "humidity")
    @ApiModelProperty(notes = "湿度")
    private Float humidity;

    @Search
    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    private Date createTime;

    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @Id
    private Long id;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;
}
