package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "VOC")
@ApiModel(value = "Voc处理平台", description = "Voc处理平台监控数据表")
@Table(name = "eqp_data_voc")
public class VocMachine extends EquipmentData {

    @Show(label = "设备名称")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String equipCode;

    @Show(label = "北进口VOC浓度(mg/l)")
    @Column(name = "concentration1")
    @ApiModelProperty(notes = "VOC浓度")
    private Float concentration1;

    @Show(label = "南进口VOC浓度(mg/l)")
    @Column(name = "concentration2")
    @ApiModelProperty(notes = "VOC浓度")
    private Float concentration2;

    @Show(label = "出口VOC浓度(mg/l)")
    @Column(name = "concentration3")
    @ApiModelProperty(notes = "VOC浓度")
    private Float concentration3;

    @Search
    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    private Date createTime;

    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @Id
    private Long id;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;
}
