package net.vtstar.zhongtong.avi.gateway.stamping.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Data
@Search(code = "3D_LASER_CUTTING")
@ApiModel(value = "3维激光切割机", description = "激光切割机监控数据表")
@Table(name = "eqp_data_3d_laser")
public class LaserCutting3DMachine extends EquipmentData {

    @Id
    private Long id;

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    @Search
    private String equipCode;

    @Show(label = "设备名称")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String alias;

    @Search
    @Show(label = "切割速率",sortable = true)
    @ApiModelProperty("切割速率")
    @Column(name = "cutting_speed")
    private BigDecimal cuttingSpeed;

    @Search
    @Show(label = "激光器功率")
    @ApiModelProperty("激光器功率")
    @Column(name = "laser_power")
    private BigDecimal laserPower;

    @Search
    @Show(label = "气体压力")
    @ApiModelProperty("气体压力")
    @Column(name = "gas_pressure")
    private BigDecimal gasPressure;

    @Search
    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    private Date createTime;


    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @ApiModelProperty("采集状态")
    private String status;
}
