package net.vtstar.zhongtong.avi.gateway.welding.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "AUTOMATIC_SPOT_WELDING")
@ApiModel(value = "车顶点焊", description = "车顶自动点焊监控数据表")
@Table(name = "eqp_data_automatic_spot_welding")
public class AutomaticSpotWeldingMachine extends EquipmentData {

    @Show(label = "设备名称")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备名称")
    private String equipCode;

    @Show(label = "设备编号")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备编号")
    @Search
    private String alias;

    @Show(label = "焊点1电流(A)")
    @Column(name = "welding_spot_A_1")
    @ApiModelProperty(notes = "焊点1电流")
    private Integer weldingSpotA1;

    @Show(label = "焊点2电流(A)")
    @Column(name = "welding_spot_A_2")
    @ApiModelProperty(notes = "焊点2电流")
    private Integer weldingSpotA2;

    @Show(label = "气压(Mpa)")
    @Column(name = "pressure")
    @ApiModelProperty(notes = "气压")
    private Float pressure;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @Id
    private Long id;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;
}
