package net.vtstar.zhongtong.avi.gateway.welding.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "PLC_CONTROL_TIRE_1")
@ApiModel(value = "PLC数控合装胎, 串口", description = "PLC数控合装胎监控数据表")
@Table(name = "eqp_data_control_tire_1")
public class PlcControlTireMachine1 extends EquipmentData {

    @Show(label = "设备名称")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备名称")
    private String equipCode;

    @Show(label = "1#上车长宽(mm)")
    @Column(name = "top_bus_width")
    @ApiModelProperty(notes = "1#上车长宽")
    private Float topBusWidth;

    @Show(label = "1#上车长高(mm)")
    @Column(name = "top_bus_height")
    @ApiModelProperty(notes = "1#上车长高")
    private Float topBusHeight;

    @Show(label = "1#上车长长(mm)")
    @Column(name = "top_bus_length")
    @ApiModelProperty(notes = "1#上车长长")
    private Float topBusLength;

    @Show(label = "1#前围宽(mm)")
    @Column(name = "front_bus_width")
    @ApiModelProperty(notes = "1#前围宽")
    private Float frontBusWidth;

    @Show(label = "1#前围高(mm)")
    @Column(name = "front_bus_height")
    @ApiModelProperty(notes = "1#前围高")
    private Float frontBusHeight;

    @Show(label = "1#下车长宽(mm)")
    @Column(name = "bottom_bus_width")
    @ApiModelProperty(notes = "1#下车长宽")
    private Float bottomBusWidth;

    @Show(label = "1#下车长长(mm)")
    @Column(name = "bottom_bus_length")
    @ApiModelProperty(notes = "1#下车长长")
    private Float bottomBusLength;

    @Show(label = "窗立柱宽(mm)")
    @Column(name = "column_width")
    @ApiModelProperty(notes = "窗立柱宽")
    private Float columnWidth;

    @Show(label = "窗立柱高(mm)")
    @Column(name = "column_height")
    @ApiModelProperty(notes = "窗立柱高")
    private Float columnHeight;

    @Show(label = "窗下梁高(mm)")
    @Column(name = "underbeam_heigth")
    @ApiModelProperty(notes = "窗下梁高")
    private Float underbeamHeigth;

    @Show(label = "腰梁高(mm)")
    @Column(name = "waist_heigth")
    @ApiModelProperty(notes = "腰梁高")
    private Float waistHeigth;

    @Show(label = "裙边宽(mm)")
    @Column(name = "skirt_width")
    @ApiModelProperty(notes = "裙边宽")
    private Float skirtWidth;

    @Show(label = "车型宽(mm)")
    @Column(name = "vehicle_width")
    @ApiModelProperty(notes = "车型宽")
    private Float vehicleWidth;

    @Show(label = "地板高度(mm)")
    @Column(name = "floor_height")
    @ApiModelProperty(notes = "地板高度")
    private Float floorHeight;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @Id
    private Long id;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;

}
