package net.vtstar.zhongtong.avi.monitoring.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;
import net.vtstar.zhongtong.avi.monitoring.domain.enums.ScanType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@ApiModel("过站信息")
@Data
@Search(code = "PASS_INFO")
@Table(name = "vehicle_passing_info")
public class StationPassInfo {

    @Id
    private Long id;

    @ApiModelProperty(notes = "报工点补扫")
    @Search
    private ScanType scanType;

    @Show(label = "工单号")
    @ApiModelProperty(notes = "工单号")
    @Column(name = "VIN")
    @Search
    private String VIN;

    @Column(name = "rfid")
    private String rfid;

    @Show(label = "车身号")
    @ApiModelProperty(notes = "车身号")
    @Column(name = "bus_no")
    @Search
    private String busNo;

    @Column(name = "area_no")
    private String areaNo;

    @Column(name = "in_time")
    private Date inTime;

    @Column(name = "out_time")
    private Date outTime;

    @Show(label = "报工点")
    @ApiModelProperty(notes = "报工点名称")
    @Column(name = "station_name")
    @Search
    private String stationName;

    @Show(label = "工位编码")
    @Column(name = "station_no")
    private String stationNo;

    @Show(label = "过站时间", dataType = FieldType.DATETIME)
    @ApiModelProperty(notes = "过站时间")
    @Column(name = "pass_time")
    private Date passTime;

    private String busType;

    @Show(label = "操作者")
    @ApiModelProperty(name = "操作者")
    @Column(name = "create_by")
    private String createBy;

    @ApiModelProperty(notes = "过站时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

}
