package net.vtstar.zhongtong.avi.monitoring.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@ApiModel("平移车")
@Data
@Table(name = "vehicle")
public class Vehicle {

    @Column(name = "id")
    private Long id;

    @ApiModelProperty(notes = "别名（平移车号）")
    private String alias;

    @ApiModelProperty(notes = "所属平移车道（从东向西（1,2,3,4））")
    @Column(name = "lane")
    private String lane;

    @ApiModelProperty(notes = "平移车所在车道RFID编号")
    private String laneRfid;

    @ApiModelProperty(notes = " 转动：正转")
    private Boolean turnF;

    @ApiModelProperty(notes = " 转动：反转")
    private Boolean turnR;

    @Column(name = "code")
    @ApiModelProperty(notes = "rfid信息")
    private String code;

    @Column(name = "mqtt_prefix")
    @ApiModelProperty(notes = "rfid信息")
    private String mqttPrefix;

    @ApiModelProperty(notes = "Rfid上下车信号，上车 1， 下车0")
    private Boolean state;

    @ApiModelProperty(notes = "当前绑定滑撬")
    private String currentRfid;

    @ApiModelProperty(notes = "上车信号发生时间")
    private Date occurTime;

    @ApiModelProperty(notes = "下车信号发生时间")
    private Date downTime;

    @ApiModelProperty(notes = "平移车旋转时间")
    private Integer downTimeMin;

    @Column(name = "sequence")
    @ApiModelProperty(notes = "上下顺序")
    private Integer sequence;

    @ApiModelProperty("当前绑定滑撬")
    private Skid skid;

    @ApiModelProperty("平移车在哪侧上撬")
    private String mqttCode;
}
