package net.vtstar.zhongtong.avi.sqlserver.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2020/04/23 9:31
 */
@ApiModel("底盘车间过程扫码表")
@Data
@Search(code = "PROCESS_SCAN_CODE_DP")
@Table(name = "process_scan_code_dp")
public class MesScanCodeDpInfo {

    @Show(label = "销售订单号")
    @ApiModelProperty(notes = "销售订单号")
    @Column(name = "SaleOrderNO")
    @Search
    private String SaleOrderNO;

    @Show(label = "整车标识码")
    @ApiModelProperty(notes = "整车标识码")
    @Column(name = "VehicleID")
    private String VehicleID;

    @Show(label = "追溯码")
    @ApiModelProperty(notes = "追溯码")
    @Column(name = "PartTraceID")
    @Search
    private String PartTraceID;

    @Show(label = "物料号")
    @ApiModelProperty(notes = "物料编号")
    @Column(name = "PartDrawingNo")
    @Search
    private String PartDrawingNo;

    @Show(label = "物料名称")
    @ApiModelProperty(notes = "物料名称")
    @Column(name = "PartDrawingName")
    @Search
    private String PartDrawingName;

    @Show(label = "供应商编号")
    @ApiModelProperty(notes = "供应商编号")
    @Column(name = "SupplierNo")
    @Search
    private String SupplierNo;

    @Show(label = "供货商名称")
    @ApiModelProperty(notes = "供货商名称")
    @Column(name = "SupplierName")
    @Search
    private String SupplierName;

    @ApiModelProperty(notes = "车间ID")
    @Column(name = "workshopID")
    private String workshopID;

    @Show(label = "产线ID")
    @ApiModelProperty(notes = "产线ID")
    @Column(name = "workLineID")
    @Search
    private String workLineID;

    @Show(label = "产线名称")
    @ApiModelProperty(notes = "产线名称")
    @Column(name = "workLineName")
    @Search
    private String workLineName;

    @Show(label = "工位编号")
    @ApiModelProperty(notes = "工位编号")
    @Column(name = "WPCode")
    @Search
    private String WPCode;

    @Show(label = "工位名称")
    @ApiModelProperty(notes = "工位名称")
    @Column(name = "WPName")
    @Search
    private String WPName;

    @Show(label = "生产批次")
    @ApiModelProperty(notes = "生产批次")
    @Column(name = "ProductionBatch")
    @Search
    private String ProductionBatch;

    @Show(label = "操作人")
    @ApiModelProperty(notes = "操作人")
    @Column(name = "OperationPerson")
    @Search
    private String OperationPerson;

    @Show(label = "操作人名称")
    @ApiModelProperty(notes = "操作人名称")
    @Column(name = "OperationPersonName")
    @Search
    private String OperationPersonName;

    @Column(name = "status")
    private String status;

    @Show(label = "操作时间", dataType = FieldType.DATETIME)
    @ApiModelProperty(notes = "操作时间")
    @Column(name = "OperationTime")
    private Date OperationTime;

    @Column(name = "create_time")
    private Date createTime;

}
